## joystick 1.4.1

=== Makefile ===
# $Id: Makefile 2413 2011-04-03 17:24:32Z skitt $
#
# Makefile for Linux input utilities
#
# © 2011 Stephen Kitt <steve@sk2.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA.

VERSION := 1.4.1

PACKAGE := linuxconsoletools-$(VERSION)

all: compile

clean distclean compile:
	$(MAKE) -C utils $@

install:
	$(MAKE) -C utils $@
	$(MAKE) -C docs $@

dist: clean
	rm -rf $(PACKAGE)
	mkdir $(PACKAGE)
	cp -a docs utils COPYING Makefile NEWS README $(PACKAGE)
	(cd $(PACKAGE); find . -name .svn -o -name *~ | xargs rm -rf; rm docs/FB-Driver-HOWTO docs/console.txt)
	tar cjf $(PACKAGE).tar.bz2 $(PACKAGE)

.PHONY: all clean distclean compile install dist

=== utils/Makefile ===
#
# $Id: Makefile 2421 2011-04-05 07:24:27Z skitt $
#
# Makefile for Linux input utilities
#
# © 1998-2000 Vojtech Pavlik (sponsored by SuSE)
# © 2008-2011 Stephen Kitt <steve@sk2.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA.
#
#
# Edit the options below to suit your needs
#

CC		= gcc
CFLAGS		= -g -O2 -Wall -I../linux/include

PROGRAMS	= inputattach jstest jscal fftest ffmvforce ffset \
		  ffcfstress jscal-restore jscal-store

PREFIX          ?= /usr/local

compile: $(PROGRAMS)

distclean: clean
clean:
	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~

ffcfstress: ffcfstress.c
	$(CC) -O2 -funsigned-char ffcfstress.c -lm -o ffcfstress

ffmvforce.o: ffmvforce.c
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $^ -o $@ `sdl-config --cflags`

ffmvforce: ffmvforce.o
	$(CC) $^ -o $@ $(LDFLAGS) -g -lm `sdl-config --libs`

axbtnmap.o: axbtnmap.c axbtnmap.h

jscal.o: jscal.c axbtnmap.h

jscal: jscal.o axbtnmap.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $^ -lm -o $@

jstest.o: jstest.c axbtnmap.h

jstest: jstest.o axbtnmap.o

gencodes: gencodes.c scancodes.h
	$(CC) $(CFLAGS) $(CPPFLAGS) gencodes.c -o gencodes

jscal-restore: jscal-restore.in
	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@

jscal-store: jscal-store.in
	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@

install: compile
	install -d $(DESTDIR)$(PREFIX)/bin
	install $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/joystick
	install extract filter ident $(DESTDIR)$(PREFIX)/share/joystick

.PHONY: compile clean distclean install

=== debian/changelog ===
joystick (1:1.4.1-1) unstable; urgency=low

  * New upstream release:
    - Handles other retry errors correctly (thanks to Alexander Clouter
      for the patch). Closes: #631608.

 -- Stephen Kitt <steve@sk2.org>  Sat, 25 Jun 2011 15:42:13 +0200

joystick (1:1.4-1) unstable; urgency=low

  * Upstream release.
  * Correct the udev rule in inputattach's README.Debian (thanks to Raoul
    Bönisch). Closes: #628369.
  * Provide default udev rules for Wacom W8001 devices (thanks to
    Alexander Clouter, Brian Murray and Kees Cook).
  * Add upstream homepage.
  * Standards-Version 3.9.2, no change required.

 -- Stephen Kitt <steve@sk2.org>  Mon, 20 Jun 2011 21:10:19 +0200

joystick (1:1.4~rc1-1) unstable; urgency=low

  * New upstream version:
    - Builds with --as-needed. Closes: #607009.
    - inputattach supports W8001. Closes: #616443.
    - inputattach supports Zhen-Hua. LP: #648945.
  * Drop all patches, merged upstream. Drop README.source explaining quilt
    usage, and --with-quilt directive to sh.
  * Drop manpages, merged upstream.
  * Drop store/restore tools, merged upstream.
  * Rework udev rules:
    - provide agents to delay invoking inputattach or jscal-restore until
      they become available;
    - drop jskeepalive and use sleep instead to stop Acrux devices from
      going into a coma (as suggested by Oliver Neukum), for kernels prior
      to 2.6.39;
    - only apply the udev rules when adding devices (as suggested by
      Roberto Neri).
  * Standards-Version 3.9.1, no change required.
  * No longer ship evtest, its source is maintained separately (and will
    be removed from future upstream versions of joystick).

 -- Stephen Kitt <steve@sk2.org>  Mon, 04 Apr 2011 16:56:39 +0200

joystick (20051019-12) unstable; urgency=low

  * Use the correct maximum number of axes. LP: #595767.
  * Small fixes to the manpages.
  * Correct all remaining ioctl() checks. Closes: #587439.
  * Explain the purpose of calibration and how to determine whether a
    joystick is calibrated. LP: #497835.
  * Standards-Version 3.9.0: use Breaks rather than Conflits, and
    incidentally move the Breaks on dvb-utils to evtest where it really
    belongs.

 -- Stephen Kitt <steve@sk2.org>  Sun, 11 Jul 2010 00:13:43 +0200

joystick (20051019-11) unstable; urgency=low

  * evtest: flush standard output, thanks Florian Fainelli! Closes:
    #581740.

 -- Stephen Kitt <steve@sk2.org>  Sun, 16 May 2010 16:11:59 +0200

joystick (20051019-10) unstable; urgency=low

  [ Stephen Kitt ]
  * Switch to 3.0 (quilt) format.
  * Fix SDL-related warnings.
  * Remove fix for broken initscript in -7 (which never made it to
    stable).
  * Prevent Acrux gamepads from disappearing after the inital device setup
    (LP: #448446).
  * Handle calibration using udev rather than an initscript. Closes:
    #540680.
  * Standards-Version 3.8.4, no change required.
  
  [ Dmitrijs Ledkovs ]
  * Simplified debian/rules; fixes FTBS with parallel make. Closes:
    #566274.

 -- Stephen Kitt <steve@sk2.org>  Wed, 07 Apr 2010 08:53:29 +0200

joystick (20051019-9) unstable; urgency=low

  * Handle the various buffer sizes expected in kernels 2.6.27 to 2.6.30.8
    (2.6.28 changed the value of KEY_MAX, which changed the definition of
    a joystick-related ioctl; 2.6.31 fixed the problem by handling any
    buffer size - see ec8b4b7085605e801a7740a2c3c33256aebe249c in the
    kernel git repository, which was also shipped in 2.6.30.8). Correctly
    closes: #536013. Thanks to Krzysztof A. Sobiecki for help determining
    the actual cause of the behaviour seen in jstest!
  * Avoid treating positive return values from ioctl() as errors; kernels
    starting with 2.6.32 return buffer sizes in some cases (see
    999b874f4aa39b7abf45662ff0900f943ddb2d02 in the kernel git
    repository).
  * Standards-Version 3.8.3, no change required.
  * initscript stops in level 1 as well as 0 and 6. Note that the
    initscript will be going away soon, see #540680.

 -- Stephen Kitt <steve@sk2.org>  Mon, 12 Oct 2009 15:12:52 +0200

joystick (20051019-8) unstable; urgency=low

  * Avoid failing with an exit code of 1 in the initscript; thanks Sean
    Finney! Closes: #537804

 -- Stephen Kitt <steve@sk2.org>  Tue, 21 Jul 2009 10:12:59 +0200

joystick (20051019-7) unstable; urgency=low

  * Make evtest and inputattach conflict with previous versions of
    joystick, as suggested by LI Daobing.

 -- Stephen Kitt <steve@sk2.org>  Tue, 14 Jul 2009 23:17:54 +0200

joystick (20051019-6) unstable; urgency=low

  * Add Sahara Touch-iT213 support; thanks Claudio Nieder! LP: #338746
  * Package evtest and inputattach separately. Closes: #301009
  * Ship force-feedback tools. LP: #131422
  * Add initscript to save and restore calibration data. Closes: #144766
  * Switch from cdbs to dh 7.
  * Rewrite debian/copyright.
  * Rewrite manpages.
  * Standards-Version 3.8.2, no change required.
  * Allow mapping axes without mapping buttons, and remap calibration data
    when remapping axes; thanks Krzysztof A. Sobiecki! Closes: #529865
  * Avoid segfaulting when the button map reported by the kernel is
    incorrect; hopefully closes: #536013.
  * Add version to the dvb-utils conflict, since the version in Lenny is
    just a transitional package there is no conflict.

 -- Stephen Kitt <steve@sk2.org>  Sat, 11 Jul 2009 17:28:37 +0200

joystick (20051019-5) unstable; urgency=low

  * Pass correct buffer size to EVIOCGBIT ioctl; thanks Sebastian Siewior!
    Closes: #499414.
  * Remove changes to inputattach.c from the diff.gz.
  * Update inputattach manpage.
  * Add USB segfault fix for jstest from Ubuntu.
  * Add comments on all patches.
  * Merge jscal.1 changes from button-axis-remapping.patch to avoid the
    Lintian warning about quilt patches changing files in the debian
    directory.
  * Remove reference to homepage which is dead.

 -- Stephen Kitt <steve@sk2.org>  Sat, 01 Nov 2008 17:24:00 +0100

joystick (20051019-4) unstable; urgency=low



## joystick 1.4.2

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.4.1
+VERSION := 1.4.2
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== debian/changelog ===
joystick (1:1.4.2-1) unstable; urgency=low

  * New upstream release:
    - Splits the udev rules for w8001 devices so that the correct baud
      rate is used. Closes: #632961.
    - Documents the conflict with xserver-xorg-input-wacom.
    - Creates /var/lib/joystick/ if necessary. Closes: #632623.
    - inputattach avoids resetting the line discipline if the device is
      already in use. Closes: #630173.
  * Remove braces in joystick.install.

 -- Stephen Kitt <steve@sk2.org>  Thu, 08 Sep 2011 07:25:39 +0200

=== debian/control ===
Source: joystick
Section: utils
Priority: extra
Maintainer: Stephen Kitt <steve@sk2.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev
Homepage: https://sourceforge.net/projects/linuxconsole/

Package: joystick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Recommends: evtest, inputattach
Description: set of testing and calibration tools for joysticks
 Some useful tools for using joysticks:
  ffcfstress(1) - force-feedback stress test
  ffmvforce(1)  - force-feedback orientation test
  ffset(1)      - force-feedback configuration tool
  fftest(1)     - general force-feedback test
  jstest(1)     - joystick test
  jscal(1)      - joystick calibration tool
 .
 evtest and inputattach, which used to be part of this package, are now
 available separately.

Package: inputattach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: joystick (<< 20051019-6)
Description: utility to connect serial-attached peripherals to the input subsystem
 inputattach connects legacy serial-attached input peripherals to the input
 subsystem: keyboards, mice, joysticks, touch-screens...
 .
 Amongst other things this allows legacy mice to be accessed via the
 /dev/input/mice multiplexer.
 .
 Supported devices include:
  * Serial-attached keyboards including the Apple Newton keyboard, DEC LK201
    / LK401 keyboards, the Stowaway keyboard, Sun type 4 and 5 keyboards,
    standard PS/2 keyboards with a serial adapter
  * Serial mice using Genius, Logitech, Microsoft or Mouse Systems protocols
  * Serial-attached touchscreens including those manufactured by 3M, ELO,
    Fujitsu, Penmount, Touchright, Touchwindow
  * Serial-attached joysticks including I-Force, SpaceBall, SpaceOrb, Gravis
    Stinger, WingMan Warrior
  * The Handykey Twiddler used as a joystick or a chording keyboard

## joystick 1.4.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011 Stephen Kitt <steve@sk2.org>
+# © 2011-2012 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.4.2
+VERSION := 1.4.3
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== utils/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile 2421 2011-04-05 07:24:27Z skitt $
+# $Id$
 #
 # Makefile for Linux input utilities
 #

=== debian/changelog ===
joystick (1:1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Enable hardened build using debhelper 9.
  * Standards-Version 3.9.3, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Fri, 08 Jun 2012 07:27:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Stephen Kitt <steve@sk2.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libsdl1.2-dev
 Homepage: https://sourceforge.net/projects/linuxconsole/
 
 Package: joystick

## joystick 1.4.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011-2012 Stephen Kitt <steve@sk2.org>
+# © 2011-2013 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.4.3
+VERSION := 1.4.6
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== debian/changelog ===
joystick (1:1.4.6-1) unstable; urgency=low

  * New upstream release:
    - Disable CRTSCTS on ELO touchscreens. Closes: #699030. Thanks Thierry
      Bultel!
    - Handle long device names correctly. Closes: #706744. Thanks Ralf
      Jung!
  * Drop hardening.patch, merged upstream.
  * Standards-Version 3.9.4, no change required.
  * Switch to my Debian address.

 -- Stephen Kitt <skitt@debian.org>  Mon, 06 May 2013 23:03:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: joystick
 Section: utils
 Priority: extra
-Maintainer: Stephen Kitt <steve@sk2.org>
-Standards-Version: 3.9.3
+Maintainer: Stephen Kitt <skitt@debian.org>
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), libsdl1.2-dev
 Homepage: https://sourceforge.net/projects/linuxconsole/

## joystick 1.4.7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011-2013 Stephen Kitt <steve@sk2.org>
+# © 2011-2014 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.4.6
+VERSION := 1.4.7
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== docs/Makefile ===
# $Id: Makefile 2413 2011-04-03 17:24:32Z skitt $
#
# Makefile for Linux input utilities
#
# © 2011 Stephen Kitt <steve@sk2.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA.

MANPAGES	= inputattach.1 jstest.1 jscal.1 fftest.1 \
		  ffmvforce.1 ffset.1 ffcfstress.1 jscal-store.1 \
		  jscal-restore.1

PREFIX          ?= /usr/local

install:
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install $(MANPAGES) $(DESTDIR)$(PREFIX)/share/man/man1

.PHONY: install

=== utils/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Makefile for Linux input utilities
 #
 # © 1998-2000 Vojtech Pavlik (sponsored by SuSE)
-# © 2008-2011 Stephen Kitt <steve@sk2.org>
+# © 2008-2012 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -25,8 +25,7 @@
 # Edit the options below to suit your needs
 #
 
-CC		= gcc
-CFLAGS		= -g -O2 -Wall -I../linux/include
+CFLAGS		?= -g -O2 -Wall
 
 PROGRAMS	= inputattach jstest jscal fftest ffmvforce ffset \
 		  ffcfstress jscal-restore jscal-store
@@ -40,10 +39,10 @@
 	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~
 
 ffcfstress: ffcfstress.c
-	$(CC) -O2 -funsigned-char ffcfstress.c -lm -o ffcfstress
+	$(CC) $(CFLAGS) $(CPPFLAGS) -funsigned-char $^ $(LDFLAGS) -lm -o $@
 
 ffmvforce.o: ffmvforce.c
-	$(CC) -c $(CFLAGS) $(CPPFLAGS) $^ -o $@ `sdl-config --cflags`
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@ `sdl-config --cflags`
 
 ffmvforce: ffmvforce.o
 	$(CC) $^ -o $@ $(LDFLAGS) -g -lm `sdl-config --libs`
@@ -53,14 +52,14 @@
 jscal.o: jscal.c axbtnmap.h
 
 jscal: jscal.o axbtnmap.o
-	$(CC) $(CFLAGS) $(CPPFLAGS) $^ -lm -o $@
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ -lm -o $@
 
 jstest.o: jstest.c axbtnmap.h
 
 jstest: jstest.o axbtnmap.o
 
 gencodes: gencodes.c scancodes.h
-	$(CC) $(CFLAGS) $(CPPFLAGS) gencodes.c -o gencodes
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) gencodes.c -o $@
 
 jscal-restore: jscal-restore.in
 	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@

=== debian/changelog ===
joystick (1:1.4.7-1) unstable; urgency=medium

  * New upstream release:
    - Fix Spaceball 4000FLX initialization with newer firmware.
      Closes: #298494. Thanks Andrew Basterfield!
  * Standards-Version 3.9.5, no change required.
  * Add VCS URIs.

 -- Stephen Kitt <skitt@debian.org>  Wed, 08 Jan 2014 07:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), libsdl1.2-dev
 Homepage: https://sourceforge.net/projects/linuxconsole/
+Vcs-Git: git://anonscm.debian.org/collab-maint/joystick.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/joystick.git
 
 Package: joystick
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	PREFIX=/usr dh $@

override_dh_install:
	dh_install
	install -d debian/joystick/lib/udev
	install -m755 debian/jscal-restore.udev.script debian/joystick/lib/udev/jscal-restore
	install -m755 debian/js-acrux.udev.script debian/joystick/lib/udev/js-acrux
	install -d debian/inputattach/lib/udev
	install -m755 debian/inputattach.udev.script debian/inputattach/lib/udev/inputattach

=== debian/watch ===
version=3
opts=uversionmangle=s/rc/~rc/ \
  http://sf.net/linuxconsole/linuxconsoletools-(.*)\.tar\.(?:gz|bz2)

## joystick 1.4.8

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011-2014 Stephen Kitt <steve@sk2.org>
+# © 2011-2015 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.4.7
+VERSION := 1.4.8
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== utils/Makefile ===
--- 
+++ 
@@ -72,5 +72,7 @@
 	install $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
 	install -d $(DESTDIR)$(PREFIX)/share/joystick
 	install extract filter ident $(DESTDIR)$(PREFIX)/share/joystick
+	install -d $(DESTDIR)/lib/udev
+	install js-set-enum-leds $(DESTDIR)/lib/udev
 
 .PHONY: compile clean distclean install

=== debian/changelog ===
joystick (1:1.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Export upstream signing key using export-minimal.
  * Install js-set-enum-leds.

 -- Stephen Kitt <skitt@debian.org>  Sun, 26 Apr 2015 18:38:04 +0200

joystick (1:1.4.7-2) unstable; urgency=medium

  * Change the architecture to "linux-any" since both packages are
    Linux-specific.
  * Add upstream signing key.

 -- Stephen Kitt <skitt@debian.org>  Sat, 12 Jul 2014 07:17:59 +0200

## joystick 1.4.9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011-2015 Stephen Kitt <steve@sk2.org>
+# © 2011-2016 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.4.8
+VERSION := 1.4.9
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== docs/Makefile ===
--- 
+++ 
@@ -27,6 +27,6 @@
 
 install:
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
-	install $(MANPAGES) $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m644 $(MANPAGES) $(DESTDIR)$(PREFIX)/share/man/man1
 
 .PHONY: install

=== utils/Makefile ===
--- 
+++ 
@@ -38,6 +38,13 @@
 clean:
 	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~
 
+ifeq ($(SYSTEMD_SUPPORT),1)
+SYSTEMDFLAGS = -DSYSTEMD_SUPPORT=1 $(shell pkg-config --cflags --libs libsystemd)
+endif
+
+inputattach: inputattach.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) -funsigned-char $^ $(LDFLAGS) $(SYSTEMDFLAGS) -lm -o $@
+
 ffcfstress: ffcfstress.c
 	$(CC) $(CFLAGS) $(CPPFLAGS) -funsigned-char $^ $(LDFLAGS) -lm -o $@

=== debian/changelog ===
joystick (1:1.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Install Denilson Figueiredo de Sá's blacklist. Closes: #714399.
  * Assume /usr is mounted before the udev rules are invoked, which allows
    the udev helper scripts to be removed and thus
    /lib/udev/hotplug.functions to no longer be required.
    Closes: #810115.
  * Drop joystick preinst and postinst, they were only needed for
    upgrades to Squeeze.
  * Drop the workaround for Acrux gamepads, they've been supported by
    the kernel since 2.6.39.
  * Rename inputattach.sleep.d 40inputattach so it can be installed via
    inputattach.install.
  * Clean up the .install and .manpages catalogs.
  * Build with systemd support.

 -- Stephen Kitt <skitt@debian.org>  Sat, 09 Jan 2016 17:21:52 +0100

joystick (1:1.4.8-2) unstable; urgency=medium

  * Add pm-utils script to re-start inputattach after waking from
    suspend. Closes: #799729. Thanks to John Morris for the fix!
  * Rewrite debian/copyright in DEP5 format.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Sep 2015 15:33:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: extra
 Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), libsdl1.2-dev
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libsdl1.2-dev, python3, libsystemd-dev
 Homepage: https://sourceforge.net/projects/linuxconsole/
 Vcs-Git: git://anonscm.debian.org/collab-maint/joystick.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/joystick.git
 
 Package: joystick
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends} 
 Recommends: evtest, inputattach
 Description: set of testing and calibration tools for joysticks
@@ -25,7 +25,7 @@
  available separately.
 
 Package: inputattach
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: joystick (<< 20051019-6)
 Description: utility to connect serial-attached peripherals to the input subsystem

=== debian/rules ===
#!/usr/bin/make -f

%:
	PREFIX=/usr dh $@

override_dh_auto_build:
	dh_auto_build -- SYSTEMD_SUPPORT=1
	debian/generate_rules.py

## joystick 1.5.1

=== debian/changelog ===
joystick (1:1.5.1-2) unstable; urgency=medium

  * Actually install evdev-joystick...

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Apr 2016 23:47:43 +0200

joystick (1:1.5.1-1) unstable; urgency=medium

  * New upstream release, adding evdev-joystick (from stella).
  * Switch to https: VCS URIs (see #810378).
  * Enable all hardening options.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Apr 2016 23:34:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	PREFIX=/usr dh $@

override_dh_auto_build:
	dh_auto_build -- SYSTEMD_SUPPORT=1
	debian/generate_rules.py

override_dh_auto_install:
	dh_auto_install
	chmod 644 debian/tmp/lib/udev/rules.d/*
	install -m644 docs/evdev-joystick.1 debian/tmp/usr/share/man/man1/

## joystick 1.6.0

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.4.9
+VERSION := 1.6.0
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011 Stephen Kitt <steve@sk2.org>
+# © 2011, 2016 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,7 +21,7 @@
 
 MANPAGES	= inputattach.1 jstest.1 jscal.1 fftest.1 \
 		  ffmvforce.1 ffset.1 ffcfstress.1 jscal-store.1 \
-		  jscal-restore.1
+		  jscal-restore.1 evdev-joystick.1
 
 PREFIX          ?= /usr/local

=== utils/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Makefile for Linux input utilities
 #
 # © 1998-2000 Vojtech Pavlik (sponsored by SuSE)
-# © 2008-2012 Stephen Kitt <steve@sk2.org>
+# © 2008-2016 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -28,7 +28,7 @@
 CFLAGS		?= -g -O2 -Wall
 
 PROGRAMS	= inputattach jstest jscal fftest ffmvforce ffset \
-		  ffcfstress jscal-restore jscal-store
+		  ffcfstress jscal-restore jscal-store evdev-joystick
 
 PREFIX          ?= /usr/local
 
@@ -36,11 +36,13 @@
 
 distclean: clean
 clean:
-	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~
+	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~ *.rules
 
 ifeq ($(SYSTEMD_SUPPORT),1)
 SYSTEMDFLAGS = -DSYSTEMD_SUPPORT=1 $(shell pkg-config --cflags --libs libsystemd)
 endif
+
+evdev-joystick: evdev-joystick.c
 
 inputattach: inputattach.c
 	$(CC) $(CFLAGS) $(CPPFLAGS) -funsigned-char $^ $(LDFLAGS) $(SYSTEMDFLAGS) -lm -o $@
@@ -74,12 +76,16 @@
 jscal-store: jscal-store.in
 	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@
 
-install: compile
+80-stelladaptor-joystick.rules: 80-stelladaptor-joystick.rules.in
+	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@
+
+install: compile 80-stelladaptor-joystick.rules
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
 	install -d $(DESTDIR)$(PREFIX)/share/joystick
 	install extract filter ident $(DESTDIR)$(PREFIX)/share/joystick
-	install -d $(DESTDIR)/lib/udev
+	install -d $(DESTDIR)/lib/udev/rules.d
 	install js-set-enum-leds $(DESTDIR)/lib/udev
+	install -m 644 80-stelladaptor-joystick.rules $(DESTDIR)/lib/udev/rules.d
 
 .PHONY: compile clean distclean install

=== debian/changelog ===
joystick (1:1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Denilson Figueiredo de Sá's blacklist; this fixes issues with
    Microsoft keyboards. Closes: #825686.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Oct 2016 13:19:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,41 @@
 Source: joystick
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: extra
-Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libsdl1.2-dev, python3, libsystemd-dev
+Build-Depends: debhelper (>= 9),
+               libsdl1.2-dev,
+               python3,
+               libsystemd-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/joystick.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/joystick.git
 Homepage: https://sourceforge.net/projects/linuxconsole/
-Vcs-Git: git://anonscm.debian.org/collab-maint/joystick.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/joystick.git
 
 Package: joystick
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends} 
-Recommends: evtest, inputattach
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Recommends: evtest,
+            inputattach
+Breaks: stella (<< 4.7.2)
+Replaces: stella (<< 4.7.2)
 Description: set of testing and calibration tools for joysticks
  Some useful tools for using joysticks:
-  ffcfstress(1) - force-feedback stress test
-  ffmvforce(1)  - force-feedback orientation test
-  ffset(1)      - force-feedback configuration tool
-  fftest(1)     - general force-feedback test
-  jstest(1)     - joystick test
-  jscal(1)      - joystick calibration tool
+  evdev-joystick(1) - joystick calibration tool
+  ffcfstress(1)     - force-feedback stress test
+  ffmvforce(1)      - force-feedback orientation test
+  ffset(1)          - force-feedback configuration tool
+  fftest(1)         - general force-feedback test
+  jstest(1)         - joystick test
+  jscal(1)          - joystick calibration tool
  .
  evtest and inputattach, which used to be part of this package, are now
  available separately.
 
 Package: inputattach
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Breaks: joystick (<< 20051019-6)
 Description: utility to connect serial-attached peripherals to the input subsystem
  inputattach connects legacy serial-attached input peripherals to the input

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	PREFIX=/usr dh $@

override_dh_auto_build:
	dh_auto_build -- SYSTEMD_SUPPORT=1
	debian/generate_rules.py

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/rc/~rc/ \
  http://sf.net/linuxconsole/linuxconsoletools-(.*)\.tar\.(?:gz|bz2)

## joystick 1.6.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011-2016 Stephen Kitt <steve@sk2.org>
+# © 2011-2019 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.6.0
+VERSION := 1.6.1
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== utils/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # Edit the options below to suit your needs
 #
 
-CFLAGS		?= -g -O2 -Wall
+CFLAGS		?= -g -O2 -Wall -Wextra
 
 PROGRAMS	= inputattach jstest jscal fftest ffmvforce ffset \
 		  ffcfstress jscal-restore jscal-store evdev-joystick

=== debian/changelog ===
joystick (1:1.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Stephen Kitt ]
  * New upstream release, merging bin-udevadm.patch.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.
  * Switch to debhelper compatibility level 11.
  * Update Denilson Figueiredo de Sá’s blacklist.

 -- Stephen Kitt <skitt@debian.org>  Sun, 03 Feb 2019 22:43:50 +0100

joystick (1:1.6.0-2) unstable; urgency=medium

  * Rely on udevadm being on the PATH. Closes: #852579.
  * Update Denilson Figueiredo de Sá's blacklist, using the version for
    kernel 4.9 or later.
  * Update debian/copyright.
  * Standards-Version 4.0.0, no further change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Jul 2017 23:32:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: joystick
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
-Priority: extra
-Build-Depends: debhelper (>= 9),
+Priority: optional
+Build-Depends: debhelper (>= 11~),
                libsdl1.2-dev,
                python3,
                libsystemd-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/joystick.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/joystick.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian/joystick
+Vcs-Git: https://salsa.debian.org/debian/joystick.git
 Homepage: https://sourceforge.net/projects/linuxconsole/
+Rules-Requires-Root: no
 
 Package: joystick
 Architecture: linux-any

## joystick 1.7.0

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.6.1
+VERSION := 1.7.0
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== utils/Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 # Edit the options below to suit your needs
 #
 
+PKG_CONFIG	?= pkg-config
 CFLAGS		?= -g -O2 -Wall -Wextra
 
 PROGRAMS	= inputattach jstest jscal fftest ffmvforce ffset \
@@ -51,10 +52,10 @@
 	$(CC) $(CFLAGS) $(CPPFLAGS) -funsigned-char $^ $(LDFLAGS) -lm -o $@
 
 ffmvforce.o: ffmvforce.c
-	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@ `sdl-config --cflags`
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@ `$(PKG_CONFIG) --cflags sdl2`
 
 ffmvforce: ffmvforce.o
-	$(CC) $^ -o $@ $(LDFLAGS) -g -lm `sdl-config --libs`
+	$(CC) $^ -o $@ $(LDFLAGS) -g -lm `$(PKG_CONFIG) --libs sdl2`
 
 axbtnmap.o: axbtnmap.c axbtnmap.h

=== debian/changelog ===
joystick (1:1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 11 Oct 2019 20:35:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               libsdl1.2-dev,
+Build-Depends: debhelper-compat (= 12),
+               libsdl2-dev,
+               pkg-config,
                python3,
                libsystemd-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/joystick
 Vcs-Git: https://salsa.debian.org/debian/joystick.git
 Homepage: https://sourceforge.net/projects/linuxconsole/

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,5 @@
 
 override_dh_auto_build:
 	dh_auto_build -- SYSTEMD_SUPPORT=1
+	mkdir -p after_kernel_4_9
 	debian/generate_rules.py

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/rc/~rc/ \
  https://sf.net/linuxconsole/linuxconsoletools-(.*)\.tar\.(?:gz|bz2)

## joystick 1.7.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011-2019 Stephen Kitt <steve@sk2.org>
+# © 2011-2019, 2021 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.7.0
+VERSION := 1.7.1
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== debian/changelog ===
joystick (1:1.7.1-1build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:05:36 +0100

joystick (1:1.7.1-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:31 +0200

joystick (1:1.7.1-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * New upstream release.
  * Update udev rules to enable the extended support for gamepad LEDs
    (thanks to Hanno Zulla).
  * Switch to debhelper compatibility level 13.
  * Bump debian/watch version.
  * Standards-Version 4.5.1, no further change required.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Archive, Repository.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Jan 2021 16:34:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: joystick
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libsdl2-dev,
                pkg-config,
                python3,
                libsystemd-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/joystick
 Vcs-Git: https://salsa.debian.org/debian/joystick.git
 Homepage: https://sourceforge.net/projects/linuxconsole/

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,uversionmangle=s/rc/~rc/ \
  https://sf.net/linuxconsole/linuxconsoletools-(.*)\.tar\.(?:gz|bz2)

## joystick 1.8.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011-2019, 2021 Stephen Kitt <steve@sk2.org>
+# © 2011-2019, 2021-2022 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-VERSION := 1.7.1
+VERSION := 1.8.1
 
 PACKAGE := linuxconsoletools-$(VERSION)

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Makefile for Linux input utilities
 #
-# © 2011, 2016 Stephen Kitt <steve@sk2.org>
+# © 2011, 2016, 2022 Stephen Kitt <steve@sk2.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,9 +19,18 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 # 02110-1301 USA.
 
-MANPAGES	= inputattach.1 jstest.1 jscal.1 fftest.1 \
-		  ffmvforce.1 ffset.1 ffcfstress.1 jscal-store.1 \
-		  jscal-restore.1 evdev-joystick.1
+ifndef DISABLE_INPUTATTACH
+MANPAGES	+= inputattach.1
+endif
+
+ifndef DISABLE_JOYSTICK
+MANPAGES	+= jstest.1 jscal.1 jscal-restore.1 jscal-store.1 \
+		   evdev-joystick.1
+endif
+
+ifndef DISABLE_FORCEFEEDBACK
+MANPAGES	+= fftest.1 ffmvforce.1 ffset.1 ffcfstress.1
+endif
 
 PREFIX          ?= /usr/local

=== utils/Makefile ===
#
# $Id$
#
# Makefile for Linux input utilities
#
# © 1998-2000 Vojtech Pavlik (sponsored by SuSE)
# © 2008-2016, 2019, 2021-2022 Stephen Kitt <steve@sk2.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA.
#
#
# Edit the options below to suit your needs
#

PKG_CONFIG	?= pkg-config
CFLAGS		?= -g -O2 -Wall -Wextra

ifndef DISABLE_INPUTATTACH
PROGRAMS	+= inputattach
endif

ifndef DISABLE_JOYSTICK
PROGRAMS	+= jstest jscal jscal-restore jscal-store evdev-joystick
endif

ifndef DISABLE_FORCEFEEDBACK
PROGRAMS	+= fftest ffmvforce ffset ffcfstress
endif

PREFIX          ?= /usr/local

compile: $(PROGRAMS)

distclean: clean
clean:
	$(RM) *.o *.swp $(PROGRAMS) *.orig *.rej map *~ *.rules

inputattach.o: override CFLAGS += -funsigned-char
inputattach.o: inputattach.c serio-ids.h
ifeq ($(SYSTEMD_SUPPORT),1)
inputattach.o: override CPPFLAGS += -DSYSTEMD_SUPPORT=1
inputattach.o: override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd)
endif

inputattach: LDLIBS = -lm
ifeq ($(SYSTEMD_SUPPORT),1)
inputattach: LDLIBS += $(shell $(PKG_CONFIG) --libs-only-l libsystemd)
inputattach: override LDFLAGS += \
	$(shell $(PKG_CONFIG) --libs-only-L --libs-only-other libsystemd)
endif

ffcfstress.o: override CFLAGS += -funsigned-char
ffcfstress.o: ffcfstress.c bitmaskros.h

ffcfstress: LDLIBS = -lm

ffmvforce.o: override CFLAGS += $(shell $(PKG_CONFIG) --cflags sdl2)
ffmvforce.o: ffmvforce.c

ffmvforce: LDLIBS = -lm $(shell $(PKG_CONFIG) --libs sdl2)
ffmvforce: ffmvforce.o

axbtnmap.o: axbtnmap.c axbtnmap.h

jscal.o: jscal.c axbtnmap.h

jscal: LDLIBS = -lm
jscal: jscal.o axbtnmap.o

jstest.o: jstest.c axbtnmap.h

jstest: jstest.o axbtnmap.o

gencodes.o: gencodes.c scancodes.h

fftest.o: fftest.c bitmaskros.h

jscal-restore: jscal-restore.in
	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@

jscal-store: jscal-store.in
	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@

80-stelladaptor-joystick.rules: 80-stelladaptor-joystick.rules.in
	sed "s^@@PREFIX@@^$(PREFIX)^g" < $^ > $@

INSTALL_DEP = compile
ifndef DISABLE_JOYSTICK
INSTALL_DEP += 80-stelladaptor-joystick.rules
endif

install: $(INSTALL_DEP)
	install -d $(DESTDIR)$(PREFIX)/bin
	install $(PROGRAMS) $(DESTDIR)$(PREFIX)/bin
ifndef DISABLE_JOYSTICK
	install -d $(DESTDIR)$(PREFIX)/share/joystick
	install extract filter ident $(DESTDIR)$(PREFIX)/share/joystick
	install -d $(DESTDIR)/lib/udev/rules.d
	install js-set-enum-leds $(DESTDIR)/lib/udev
	install -m 644 80-stelladaptor-joystick.rules $(DESTDIR)/lib/udev/rules.d
endif

.PHONY: compile clean distclean install

=== debian/changelog ===
joystick (1:1.8.1-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Delegate placement of udev files to pkg-config data.
    Closes: #1057794.

  [ Stephen Kitt ]
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 22 Dec 2023 08:35:50 +0100

joystick (1:1.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + joystick: Drop versioned constraint on stella in Replaces.
    + joystick: Drop versioned constraint on stella in Breaks.
    + inputattach: Drop versioned constraint on joystick in Breaks.

  [ Stephen Kitt ]
  * New upstream release:
    - Fix regexes for empty lines. Closes: #1010041.
    - Allow specifying a specific button to confirm. Closes: #1005349.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 May 2022 14:12:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: joystick
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libsdl2-dev,
                pkg-config,
                python3,
-               libsystemd-dev
-Standards-Version: 4.5.1
+               libsystemd-dev,
+               systemd-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/joystick
 Vcs-Git: https://salsa.debian.org/debian/joystick.git
 Homepage: https://sourceforge.net/projects/linuxconsole/
@@ -20,8 +20,6 @@
          ${misc:Depends}
 Recommends: evtest,
             inputattach
-Breaks: stella (<< 4.7.2)
-Replaces: stella (<< 4.7.2)
 Description: set of testing and calibration tools for joysticks
  Some useful tools for using joysticks:
   evdev-joystick(1) - joystick calibration tool
@@ -39,7 +37,6 @@
 Architecture: linux-any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Breaks: joystick (<< 20051019-6)
 Description: utility to connect serial-attached peripherals to the input subsystem
  inputattach connects legacy serial-attached input peripherals to the input
  subsystem: keyboards, mice, joysticks, touch-screens...

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)
 
 %:
 	PREFIX=/usr dh $@
